Author Topic: 1.5 Installation - Runtime Error (at -1:0)  (Read 44599 times)

0 Members and 1 Guest are viewing this topic.

Offline Atb`

  • Major(1)
  • Posts: 11
1.5 Installation - Runtime Error (at -1:0)
« on: April 17, 2009, 04:24:29 am »
Ok well, i've played this game for a while now Since 1.3.1 and it's worked fine on this windows 98 computer till now.
I've downloaded 1.5 of the soldat download page and when i extracted the file and opened it, it comes up with "choose language: english" then..... This...

Runtime Error (at -1:0)
Cannot Import dll:C:\WINDOWS\TEMP\is-XXXXX.tmp\OCSetupHlp.dll.

The XXXXX represents a folder it creates in the TEMP folder which changes everytime I try installing. Anyway so far from what i've read this problem has only occured on the older versions of windows. E.g. 2000 and 98 (most likely under).

Any possible solutions?
Thanks :P

Offline lucascristao

  • Major(1)
  • Posts: 9
Re: 1.5 Installation - Runtime Error (at -1:0)
« Reply #1 on: April 17, 2009, 02:47:23 pm »
My friend give me the instaled soldat

but after give another error

im brazilian, sorry my bad english =X

Offline Sauron

  • Soldier
  • **
  • Posts: 169
  • Call me "Uncle Sam"
Re: 1.5 Installation - Runtime Error (at -1:0)
« Reply #2 on: April 17, 2009, 05:09:57 pm »
Yes it`s because OpenCandy is incompatible with older systems like Windows 2000, 98
Opencandy go away from soldat!


"How it works
Software creators can choose any number of applications to recommend to their users. When a user installs their software, it queries the OpenCandy servers. Our technology evaluates the available offers and targets the best offer for that user. Because the entire process is dynamic, creators can alter their recommendations at anytime – without the need for any re-building of installers or bundling.

We then provide analytics back to the creators, so they can see how their software and recommendations are performing. This way they can better understand how to build and recommend great applications. "   

« Last Edit: April 17, 2009, 05:13:43 pm by Sauron »

Offline lucascristao

  • Major(1)
  • Posts: 9
Re: 1.5 Installation - Runtime Error (at -1:0)
« Reply #3 on: April 17, 2009, 05:43:17 pm »
So there is nothing we can do to fix the Soldat?

Offline Atb`

  • Major(1)
  • Posts: 11
Re: 1.5 Installation - Runtime Error (at -1:0)
« Reply #4 on: April 17, 2009, 05:49:30 pm »
Hmm, yeah well that doesn't fix my problem, it does explain it though, thanks :p
Any solutions? fixes?

Offline Michal Marcinkowski

  • Creator of Soldat
  • Flagrunner
  • ******
  • Posts: 808
  • I ain't got time to bleed.
    • Soldat home page
Re: 1.5 Installation - Runtime Error (at -1:0)
« Reply #5 on: April 17, 2009, 06:30:35 pm »
Download the installer again. I think I fixed it.

Offline lucascristao

  • Major(1)
  • Posts: 9
Re: 1.5 Installation - Runtime Error (at -1:0)
« Reply #6 on: April 17, 2009, 06:41:00 pm »
I did the download and continued giving the same error, I downloaded from here: http://soldat.pl/en/download/soldat15.zip

Here is it?

since here, also could try to solve this problem?
http://forums.soldat.pl/index.php?topic=33793.0
« Last Edit: April 17, 2009, 06:47:55 pm by lucascristao »

Offline fulro

  • Camper
  • ***
  • Posts: 276
  • |F|ront-|U|ni de -|L|utte des-|R|aces-|O|pprimees
Re: 1.5 Installation - Runtime Error (at -1:0)
« Reply #7 on: April 17, 2009, 07:01:03 pm »
man i hav the same problem too

Offline Atb`

  • Major(1)
  • Posts: 11
Re: 1.5 Installation - Runtime Error (at -1:0)
« Reply #8 on: April 17, 2009, 07:15:00 pm »
Ok, this time I have downloaded the game of enesce (after Michal has fixed it) i'll see if it works now.
- I think previously I downloaded of static.soldat....

Will post outcome. I'm also going to try an extracted version of the game, will also try this out, will post outcome soon :D

Edit 1: Enesce download - didn't work/same problem. Gonna try static.soldat download again...
Edit 2: Static/Soldat download - doesn't work either. Going to try extracted version soon.
« Last Edit: April 17, 2009, 07:36:25 pm by Atb` »

Offline Atb`

  • Major(1)
  • Posts: 11
Re: 1.5 Installation - Runtime Error (at -1:0)
« Reply #9 on: April 17, 2009, 09:23:41 pm »
Bump.

Offline Atb`

  • Major(1)
  • Posts: 11
Re: 1.5 Installation - Runtime Error (at -1:0)
« Reply #10 on: April 17, 2009, 10:13:46 pm »
Ok I think some of users have realised this previously but, I don't think (from what I remember) I got this problem on the installation on 1.4.2 (back when it came out), but i re-downloaded 1.4.2 and the same error pops up for the 1.5 installation.

Weird.

Offline Atb`

  • Major(1)
  • Posts: 11
Re: 1.5 Installation - Runtime Error (at -1:0)
« Reply #11 on: April 17, 2009, 11:09:22 pm »
Ok, it now works - I got the file extracted directly of the installation for use thanks to upnPAD for it :D
http://www.mediafire.com/?ba2dhvjcevg
Ok here it is.

I still have one problem, when I join a game, I pick team and then just drop out of it instantaneously and says there's some error due to BE..

Failed to load BattlEye/BEClient.dll. - This where it usually says "Joining Game" and w/e on the lobby screen, help would be appreciated
« Last Edit: April 17, 2009, 11:21:20 pm by Atb` »

Offline echo_trail

  • Global Moderator
  • Rainbow Warrior
  • *****
  • Posts: 2221
  • ménage-à-trois
    • my last.fm
Re: 1.5 Installation - Runtime Error (at -1:0)
« Reply #12 on: April 18, 2009, 09:48:26 am »
User warned for quadriple posting..
I fucking miss all you cunts!

Offline darksonic45

  • Major
  • *
  • Posts: 68
Re: 1.5 Installation - Runtime Error (at -1:0)
« Reply #13 on: April 18, 2009, 02:42:46 pm »
Sable said the new updated version of Soldat (BE) is incompatible with 98 and ME. Nothing we can do about this.
lul

Offline Therion

  • Major
  • *
  • Posts: 56
  • Realism Fetishist
Re: 1.5 Installation - Runtime Error (at -1:0)
« Reply #14 on: May 22, 2009, 04:05:30 pm »
I have the same problem. I can't install the patch, neither the full version.
Zipped version works, though.
My DA gallery

"Black, fearsome and grim and mighty Panzer division Marduk rolls over enemy land
Striking hard and fast against your lines We blow your fortress into sand"

Offline TheRoadAhead

  • Major(1)
  • Posts: 1
Re: 1.5 Installation - Runtime Error (at -1:0)
« Reply #15 on: August 19, 2011, 02:43:26 pm »
hey guys. i disabled my McAfee and it worked, with no runtime error. Try it. AVG or McAfee will pop up sometimes saying "Potentionally unwanted program blocked. Press More info for more Information."